<template>
	<div class="slide-down-container">
		<h2><span>{{faq.question}}</span><i @click="toggleSlideDown" :class="['fas', slideOpened? 'fa-minus-circle' : 'fa-plus-circle']"></i></h2>
		<p :class="{'opened' : slideOpened}">
			{{faq.answer}}
		</p>
	</div>
</template>

<script>
export default {
	name: 'slideDown',
	props:{
		faq: {
			type: Object,
			required: true
		}
	},
	data(){
		return {
			slideOpened: false
		}
	},
	methods: {
		toggleSlideDown(){
			this.slideOpened = !this.slideOpened;
		}
	}
}
</script>

<style lang="scss" scoped>
.slide-down-container{
	
	h2{
		color: #00A290;
		font-family: Roboto;
		font-size: 20px;
		font-weight: normal;
		line-height: 23px;
		display: flex;
		align-items: center;
		justify-content: space-between;

		i{
			font-size: 25px;
			cursor: pointer;
			margin-left: 10px;
		}
	}

	p{
		color: #48443E;
		font-family: Roboto;
		font-size: 16px;
		line-height: 24px;
		border-bottom: 1px solid #ECECEB;
		overflow: hidden;
		transition: .5s all linear;
		max-height: 0;

		&.opened{
			max-height: 300px;
			padding-bottom: 10px;
		}
	}
}
</style>
